## pyscrabble 1.6.2

=== debian/changelog ===
pyscrabble (1.6.2-10) unstable; urgency=low

  * Add build dependency on dh-python.
  * Correct Vcs-Svn URL.
  * Switch to Debhelper compat level 9.
  * Bump Standards-Version to 3.9.8.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 23 Jan 2017 23:17:00 +0100

pyscrabble (1.6.2-9) unstable; urgency=low

  * Switch to rsvg-convert for making PNG icons (Closes: #666634).
  * Bump Standards-Version to 3.9.3.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 11 Apr 2012 08:17:00 +0200

pyscrabble (1.6.2-8) unstable; urgency=low

  * typeerrors.patch: Fix two cases of attempting to pass floats to
    functions expecting ints:
    - In the motion-notify-event callback of the chatboxes, which should
      change the cursor into a hand when over a URL (LP: #923363). 
    - In the button-press-event callback of the buttons making up the
      board, which should produce an arrow to allow tiles to be placed by
      typing letters.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 29 Jan 2012 21:02:09 +0100

pyscrabble (1.6.2-7) unstable; urgency=low

  * max-players.patch: Before denying a player from joining a game because
    the maximum number of players has been reach, check whether the player
    is rejoining a game he or she is already part of (Closes: #633838).
    Thanks to Christian von Kietzell.
  * Add build-indep and build-arch targets.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 11 Nov 2011 08:46:33 +0100

pyscrabble (1.6.2-6) unstable; urgency=low

  * Move Python modules and scripts to /usr/share/games/pyscrabble/python
    and put symlinks in /usr/games and /usr/sbin.
  * installation.patch: Reduce the size by moving back code that was
    unnecessarily moved from dist.py to setup.py.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 04 May 2011 19:58:45 +0200

pyscrabble (1.6.2-5) unstable; urgency=low

  * Convert package to source format 3.0 (quilt), meaning renaming the
    patches and converting their headers as well as dropping
    README.source.
  * Convert to using dh_python2 (Closes: #616983).
  * Run setup.py with --install-layout=deb to get filesystem layout right.
  * Bump Debhelper compat level to 7.
  * pyscrabble-server.README.Debian: Clarify that pyscrabble-server is not
    intended to be run from the command line directly (Closes: #611833).
  * hosts.patch: Improve the code for adding new entries to the Additional
    Hosts list:
    * Fix C&P bug that caused the Game port to be validated twice but the 
      Web port not at all.  
    * Pre-fill the default port numbers to help the user (Closes: #566666).
    * Don't destroy the dialog until the entered values have been extracted.
  * Increase Standards-Version to 3.9.2 without changes needed.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 25 Apr 2011 21:58:25 +0200

pyscrabble (1.6.2-4) unstable; urgency=low

  * Merge changes from Ubuntu, except for the Replaces added to deal with
    the typo in in 1.6.2-3ubuntu3, which should be gone by now.
  * Move pyscrabble-server from /usr/games to /usr/sbin (Closes: #506811).
  * debian/rules: Drop the call to dh_desktop.
  * Upgrade to Standards-Version 3.8.3.
    + Add debian/README.source.
  * debian/rules: Rearrange targets.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 22 Sep 2009 09:15:42 +0200

pyscrabble (1.6.2-3ubuntu4) jaunty; urgency=low

  * debian/pyscrabble-common.install: resolve typographic error (LP: #362080) 

 -- Brian Murray <brian@ubuntu.com>  Thu, 16 Apr 2009 15:18:46 -0700

pyscrabble (1.6.2-3ubuntu3) jaunty; urgency=low

  * debian/rules: pass --prefix=/usr to setup.py install, without which
    the package tries to install to /usr/local under python2.6.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Apr 2009 13:01:54 +0000

pyscrabble (1.6.2-3ubuntu2) jaunty; urgency=low

  * Revert the previous change; python2.4-zodb no longer exists, and
    depending on python2.4-zodb never gave correct results anyway because
    we were depending on python instead of python2.4 for the interpreter.
  * debian/pyscrabble-{common,server}.install: installation now to python
    dist-packages directory, instead of site-packages.  (This will require
    a fix for bug 350016 in python2.6 before it can be built.)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Apr 2009 07:08:06 +0000

pyscrabble (1.6.2-3ubuntu1) intrepid; urgency=low

  * Modify dependency python-zodb to python2.4-zodb in debian/control
    for the python-zodb -> python2.4-zodb transition (LP: #262713)

 -- Riccardo Coccioli <volans@ubuntu.com>  Fri, 29 Aug 2008 18:11:03 +0200

pyscrabble (1.6.2-3) unstable; urgency=low

  * Acknowledge NMU (Closes: #471077).
  * New maintainer email address.
  * Remove XS- from Vcs field names.
  * Bump Standards-Version to 3.7.3. No changes necessary.
  * Lower connection timeout when checking servers to avoid extremely long
    delays (Closes: #473598). Thanks to Ron Bentley.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 01 May 2008 23:35:04 +0200

pyscrabble (1.6.2-2.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #471077).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Mar 2008 15:18:15 +0200

pyscrabble (1.6.2-2) unstable; urgency=low

  * Move /usr/share/games/pyscrabble/letters from pyscrabble-server to
    pyscrabble-common (Closes: #446571).
  * Add lsb-base dependency to pyscrabble-server.
  * Lower pyscrabble-server priority to "extra".

 -- Magnus Holmgren <magnus@kibibyte.se>  Sun, 14 Oct 2007 10:30:15 +0200

pyscrabble (1.6.2-1) unstable; urgency=low

  * Initial release (Closes: #416137).

 -- Magnus Holmgren <magnus@kibibyte.se>  Wed, 03 Oct 2007 17:11:14 +0200
