=== debian/control ===
Source: pyscrabble
Section: games
Priority: optional
Maintainer: Magnus Holmgren <holmgren@debian.org>
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python
Build-Depends-Indep: librsvg2-bin, imagemagick
Standards-Version: 3.9.8
Homepage: http://pyscrabble.sourceforge.net
Vcs-Browser: http://svn.kibibyte.se/pyscrabble
Vcs-Svn: svn://svn.kibibyte.se/pyscrabble/trunk

Package: pyscrabble-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-twisted-core
Replaces: pyscrabble-server (<< 1.6.2-2)
Description: multiplayer scrabble implementation - common files
 PyScrabble is an online, multiplayer implementation of the popular word game 
 written in Python and featuring:
 .
  * chat and private messaging (online as well as offline)
  * player rankings and server statistics
  * use of ENABLE (Enhanced North American Benchmark LExicon) for
    English word lookup
  * timed games
 .
 This package contains files common to the client and the server.
 You will need to install pyscrabble to play.
 .
 Notice: Scrabble is a registered trademark belonging to Hasbro Inc in
 the US, and to J.W. Spear & Sons Ltd., a subsidiary of Mattel Inc.,
 throughout the rest of the world. Neither the author, Debian, nor
 this game are affiliated with the Scrabble Crossword Game, Hasbro,
 Spear & Sons or Mattel in any fashion.

Package: pyscrabble
Architecture: all
Depends: pyscrabble-common (= ${source:Version}), ${misc:Depends},
 ${python:Depends}, python-pygame, python-gtk2
Suggests: pyscrabble-server
Description: multiplayer scrabble implementation written in Python - client part
 PyScrabble is an online, multiplayer implementation of the popular word game 
 written in Python and featuring:
 .
  * chat and private messaging (online as well as offline)
  * player rankings and server statistics
  * use of ENABLE (Enhanced North American Benchmark LExicon) for
    English word lookup
  * timed games
 .
 The following languages are supported: 
 .
  * English
  * Finnish
  * French
  * German
  * Serbian
 .
 This package contains the client program.
 .
 Notice: Scrabble is a registered trademark belonging to Hasbro Inc in
 the US, and to J.W. Spear & Sons Ltd., a subsidiary of Mattel Inc.,
 throughout the rest of the world. Neither the author, Debian, nor
 this game are affiliated with the Scrabble Crossword Game, Hasbro,
 Spear & Sons or Mattel in any fashion.

Package: pyscrabble-server
Architecture: all
Depends: pyscrabble-common (= ${source:Version}), ${misc:Depends},
 ${python:Depends}, python-zodb, python-nevow, adduser, lsb-base (>= 3.0-6)
Suggests: pyscrabble
Priority: extra
Description: scrabble implementation written in Python - server part
 PyScrabble is an online, multiplayer implementation of the popular word game 
 written in Python and featuring:
 .
  * chat and private messaging (online as well as offline)
  * player rankings and server statistics
  * use of ENABLE (Enhanced North American Benchmark LExicon) for
    English word lookup
  * timed games
 .
 This package contains the server. You do not need to install this
 package if you only plan to connect to existing PyScrabble servers.
 .
 Notice: Scrabble is a registered trademark belonging to Hasbro Inc in
 the US, and to J.W. Spear & Sons Ltd., a subsidiary of Mattel Inc.,
 throughout the rest of the world. Neither the author, Debian, nor
 this game are affiliated with the Scrabble Crossword Game, Hasbro,
 Spear & Sons or Mattel in any fashion.
