=== debian/watch ===
version=3

http://sf.net/pyscrabble/pyscrabble-(.*)-src.zip debian uupdate
